Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class Protein

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.standard.type.BaseSupport
            |
            +--biouml.standard.type.GenericEntity
                  |
                  +--biouml.standard.type.Referrer
                        |
                        +--biouml.standard.type.Concept
                              |
                              +--biouml.standard.type.Molecule
                                    |
                                    +--biouml.standard.type.Biopolymer
                                          |
                                          +--biouml.standard.type.Protein

public class Protein
extends Biopolymer

Stub

todo implementation

Constructor Summary
`Protein(DataCollection origin, String name)`

Method Summary
`String` | `getFunctionalState()`
`String` | `getGene()`
`String` | `getModification()`
`String` | `getStructure()`
`String` | `getType()`
`void` | `setFunctionalState(String functionalState)`
`void` | `setGene(String gene)`
`void` | `setModification(String modification)`
`void` | `setStructure(String structure)`

Methods inherited from class biouml.standard.type.Biopolymer
`getRegulation, getSource, getSpecies, setRegulation, setSource, setSpecies`

Methods inherited from class biouml.standard.type.Concept
`getCompleteName, getSynonyms, setCompleteName, setSynonyms, setType`

Methods inherited from class biouml.standard.type.Referrer
`getDatabaseReferences, getDescription, getLiteratureReferences, setDatabaseReferences, setDescription, setLiteratureReferences`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class biouml.standard.type.BaseSupport
`getTitle, setTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Constructor Detail

### Protein

    public Protein(DataCollection origin, String name)

Method Detail

### getFunctionalState

    public String getFunctionalState()

### getGene

    public String getGene()

### getModification

    public String getModification()

### getStructure

    public String getStructure()

### getType

    public String getType()

### setFunctionalState

    public void setFunctionalState(String functionalState)

### setGene

    public void setGene(String gene)

### setModification

    public void setModification(String modification)

### setStructure

    public void setStructure(String structure)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM